Subject: RE: proposed addition to application/pkcs7-mime smime parameter

From: "Jim Schaad" <[email-masked]>
Date: Sat, 5 Jul 2003 15:36:29 -0700

Blake,

In the process of looking at ESS, I notice that there is an smime-type
defined there.  So it appears that MSG will not contain the definitive
list no matter what is done.  I would like it to contain the definitive
list of all of CMS however.

jim

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jim Schaad
> Sent: Friday, June 27, 2003 10:18 PM
> To: 'Blake Ramsdell'; [email-masked]
> Cc: [email-masked]
> Subject: RE: proposed addition to application/pkcs7-mime 
> smime parameter
> 
> 
> 
> Blake,
> 
> 
> > I see a few ways to proceed, in my personal preference order:
> > 
> > 1. Commit to the current direction of using the MSG draft to
> > define how to use MIME with everything in CMS, as well as 
> > providing a constrained subset of CMS for the purpose of 
> > interpersonal messaging.
> > 
> > 2. Don't put anything in MSG at all that doesn't have to do
> > with interpersonal messaging, but leave what's there (the 
> > definition of the application/pkcs7-mime and the currently 
> > used smime-types).  Any additional smime-type values are 
> > defined outside of the MSG draft.
> > 
> > 3. Separate everything that has to do with the MIME wrapping
> > of CMS objects into its own draft (CMS/MIME), and don't 
> > discuss anything about interpersonal messaging at all.  The 
> > MSG draft simply contains references to the CMS/MIME draft, 
> > and is a profile of it.  This is somewhat like the separation 
> > of CMS and CMSALG, I think.
> > 
> > I will admit that my preference order is influenced by my
> > role as the editor, and the desire to see MSG progress sooner 
> > rather than later.
> 
> I have one argument for varient 3 that I just thought of that 
> might be overwelming at a later date, but certiantly not 
> currently.  If SIP is dependent on the CMS/SMIME/Messaging 
> draft, and we update that draft for a messaging only item, 
> then SIP gets reset on its progression path as well.  I don't 
> think this is an immeadiate issue, but something to consider 
> in the future.
> 
> If we go with the version 1 draft, then we should perhaps 
> look at reorginaizing the draft along the lines of looking 
> like a profile of a previously defined item rather than 
> having items intermixed.  I have not looked at the documents 
> to see how intermixed messaging is with the document and will 
> do so later this weekend.
> 
> > 
> > Blake
> > 
> 
> Jim
>